HOD/Controllers/ListingController.cs
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Http.OData.Builder;
using System.Web.Mvc;
using System.Web.Routing;
using HOD.Constants;
using HOD.Entities;
using HOD.Managers;
using HOD.Models;
using HOD.Managers.Exceptions;
using HOD.Managers.Utilities;
using WebMatrix.WebData;
using HOD.Filters;
using Amazon;
using Amazon.S3;
using Amazon.S3.IO;
using System.Net;
using System.Drawing;
using System.Transactions;
using System.Data.SqlClient;
using System.Configuration; 

namespace HOD.Controllers
{
    [InitializeSimpleMembership]
    public class ListingController : HODBaseController
    {
        public IListingManager ListingManager = new ListingManager();
        public IMessageManager messageManager = new MessageManager();
        public IDbManager dbManager = new DbManager();
        IMessageManagerUtility messageManagerUtility = new MessageManagerUtility();


        public ActionResult Index()
        {
            return View();
        }

        [Authorize()]
        public ActionResult Create()
        {
            var virtualListing = new VirtualListing()
            {
                Address = (string)TempData["RegisterAddress"],
                City = (string)TempData["RegisterCity"],
                Province = (string)TempData["RegisterProvince"],
                PostalCode = (string)TempData["RegisterPostalCode"],
                ContactPerson = (string)TempData["RegisterContactPerson"],
                PhoneNo = (string)TempData["RegisterPhone"],
                DontShowListPrice = false,
                DontShowSquareFootage = false,
                DontShowPhoneNo = false

            };

            return View(virtualListing);
        }

        //
        // GET: /Listing/Details/5

        public ActionResult Details(int id)
        {
            return View();
        }

        //
        // POST: /Listing/Create

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult SendMessage(ListingMessageModel model)
        {
            try
            {
                if (!Request.IsAjaxRequest())
                    return Json(new { response = "error" });

                UserProfile user = null;
                using (UsersContext db = new UsersContext())
                {
                    user = db.UserProfiles.Find(WebSecurity.CurrentUserId);
                }

                if (user != null)
                {
                    MessageType messageType = messageManager.GetMessageTypeByName(MessageTypes.MESSAGE);
                    if (messageType == null)
                        throw new ArgumentNullException("Message Type does not exist.");

                    Message userMessage = new Message();
                    userMessage.Body = model.Message.Body;
                    userMessage.ConversationId = Guid.NewGuid();
                    userMessage.FromUser = user.UserId;
                    userMessage.MessageDate = DateTime.Now;
                    userMessage.MessageRead = false;
                    userMessage.MessageTypeId = messageType.MessageTypeId;
                    userMessage.Subject = model.Message.Subject;
                    userMessage.ToUser = model.Message.to;

                    if (model.Message.ListingId.ToLower().Contains("vue"))
                    {
                        string[] ID = model.Message.ListingId.Split('E');
                        userMessage.ListingID = int.Parse(ID[1]);
                    }
                    else
                    {
                        userMessage.ListingID = int.Parse(model.Message.ListingId);
                    }

                    UserProfile toUser = null;
                    using (UsersContext db = new UsersContext())
                    {
                        toUser = db.UserProfiles.Find(userMessage.ToUser);
                    }

                    string conversationUrl = System.Configuration.ConfigurationManager.AppSettings["applicationRoot"] + "UserMessages/Conversations/" + userMessage.ToUser;

                    EmailMessage emailMessage = new EmailMessage();
                    emailMessage.subject = "CasaVue Private Message";
                    emailMessage.sender = user.UserName;
                    emailMessage.recipients.Add(toUser.UserName);
                    emailMessage.body = MailMessageHelper.FormattedMail(model.Message.Subject, toUser.FirstName, model.Message.Body, conversationUrl);
                    messageManagerUtility.SendEmailMessage(emailMessage);
                    messageManager.SaveUserMessage(userMessage);

                }

                MessageModel message = new MessageModel()
                {
                    to = model.Message.to,
                    from = model.Message.from,
                    Body = model.Message.Body,
                    Subject = model.Message.Subject
                };

                //VirtualListing listing = new VirtualListing()
                //{
                //    ListingId = model.Message.ListingId,
                //};
                //return Json(message, JsonRequestBehavior.AllowGet);
            }
            catch (Exception e)
            {
                //return Json(new { response = e.Message });
                throw e;
            }

            return RedirectToAction("ViewFullListing", routeValues: new { id = model.Message.ListingId });
        }

        protected override void OnException(ExceptionContext filterContext)
        {
            if (!filterContext.HttpContext.Request.IsAjaxRequest()) return;

            filterContext.Result = AjaxError(filterContext.Exception.Message, filterContext);

            filterContext.ExceptionHandled = true;
        }

        protected JsonResult AjaxError(string message, ExceptionContext filterContext)
        {
            if (String.IsNullOrEmpty(message))
                message = "An error occurred while sending email. Email not sent.";

            filterContext.HttpContext.Response.StatusCode = (int)HttpStatusCode.InternalServerError;

            filterContext.HttpContext.Response.TrySkipIisCustomErrors = true;

            return new JsonResult
            {
                Data = new { ErrorMessage = message },
                ContentEncoding = System.Text.Encoding.UTF8,
                JsonRequestBehavior = JsonRequestBehavior.AllowGet
            };
        }

        public JsonResult NotifyAgent(string first_name, string last_name, string email, string phone, string contact_preference, string bio, 
            string occupation, string income, string housetype, string affiliations, string comments, string userId)
        {
            
           // MailMessageHelper.AgentMessage("listing@casavue.com", "CasaVue")
/*            var firstName = form["first_name"];
            var lastName = form["last_name"];
            var email = form["email"];
            var phone = form["phone"];
            var contactPref = form["contact_preference"];
            var bio = form["bio"];
            var occupation = form["occupation"];
            var income = form["income"];
            var housetype = form["housetype"];
            var affiliations = form["affiliations"];
            var comments = form["comments"];
            var userId = form["UserId"];*/

            UserProfile user;
            using (UsersContext db = new UsersContext()){
                     user = db.UserProfiles.Find(int.Parse(userId));
            }

            string messageBody = first_name + last_name + email + phone + contact_preference + bio + occupation + income + housetype + affiliations + comments;

            List<string> recipientList = new List<string>();
            recipientList.Add(user.UserName);
            recipientList.Add("dellyjm@gmail.com");
            
            messageManagerUtility.SendEmailMessage(new EmailMessage(){
                 recipients = recipientList,
                 //sender = "listings@casavue.com",
                 sender = "dellyjm@gmail.com",
                 subject = "Listing Interest",
                 body = MailMessageHelper.AgentMessage("Listing Interest", first_name, last_name, email, phone,contact_preference, bio, occupation, income , housetype ,affiliations, comments)
            });

            Response.StatusCode = 200;
            string response = "BLAH";
            return Json(response, JsonRequestBehavior.AllowGet);   
        }



        [HttpPost]
        [Authorize]
        public ActionResult Create(List<HttpPostedFileBase> ImagesVirtualSign, VirtualListing model, FormCollection collection)// FormCollection collection)
        {
            if (ModelState.IsValid == false)
            {
                #region ErrorHandling
                //foreach (ModelState modelState in ViewData.ModelState.Values)
                //{
                //    foreach (ModelError error in modelState.Errors)
                //    {
                //        String errr = error.ErrorMessage;
                //        Exception exxx = error.Exception;
                //    }
                //}
                #endregion
                return View(model);
            }

            // Allow Private Seller to Overseed all other options
            if (model.PrivateSellerOption)
            {
                model.DontShowSquareFootage = true;
                model.DontShowPhoneNo = true;
                model.DontShowListPrice = true;
            }

               //ListingImageCategory imageCategory = ListingManager.GetListingImageCategory(ListingImageCategoryNames.VIRTUALSIGN);

               //List<ListingImage> images = CreateListingUploads(model, imageCategory);
            ListingImageCategory imageCategory = null;
            List<ListingImage> images = null;

               int listingUserId = WebSecurity.CurrentUserId;
               Session["ListingUserId"] = listingUserId;
               bool validUser;

HOD/Views/Agent/AboutUs.cshtml
@model HOD.Models.AgentDisplayModel
@using Microsoft.Ajax.Utilities
@{
    ViewBag.Title = "Pages";
    Layout = "~/Views/Shared/_AgentPagesLayout.cshtml";
}
<style>
    table td, table td * {
        vertical-align: top;
    }
</style>


<link href="@Url.Content("~/Content/assets/css/croppic.css")" rel="stylesheet">
<script type="text/javascript" src="@Url.Content("~/Scripts/croppic.js")"></script>


<style>

    a.newListing {
        color: #333333;
    }

        a.newListing:active {
            color: #666666;
        }

        a.newListing:link {
            color: #999999;
        }

        a.newListing:visited {
            color: #ffffff;
        }

    textarea {
        background-color: lightyellow;
        width: 100%;
    }
</style>

<div class="details_holder">
        <div class="panel panel-primary" style="border: none">
            <div class="panel-heading" align="left">@Model.BusinessName</div>
            <div class="panel-body" style="background-color: #ffffff;">

                <script>
                    tinymce.init({ selector: 'textarea', menubar: false, statusbar: false });

                    $(document).ready(function () {
                        var $body = $('body');
                       // $('body').css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ') !important;');
                        $body.css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ')');//.height(525).width(1660);
                        $('#agentLogo').attr('src', '@Model.AgentLogo').height(72).width(783);
                        $('#otherPage1').text('@Model.OtherPage1Label');
                        $('#otherPage2').text('@Model.OtherPage2Label');
                        $('#mainMenu a').each(function(){
                            this.href += '?AgentId=@Model.AgentId';
                        });


                    });


                </script>
                 <!--input type="text" value="Model.AgentBottomBackground" />
                 <input type="text" value="Model.AgentLogo" />
                 <input type="text" id="backgroundLoc" value="Model.AgentTopBackground" /-->   
                <div>
                    <table border="0">
                        <tr>
                            <td>
                                @Html.Raw(Model.AboutMe)
                            </td>
                            <td>
                                <p style="width:100%; overflow:auto;">
                                    <img src="@Model.AgentProfilePic" alt="Photo placeholder" style="float:right; border:solid; width:268px; height:268px;border:groove;"/>
                                </p>
                            </td>
                    </table>
                </div>  
                <div><a href="/Agent/SignUp" class="btn-lg btn-default" align="right" style="border-top:1px solid #cacaca;" >Sign Up Now</a></div>
                <br />                                   
                <clear />
        </div>
       </div>
    </div>
</div>
</div>

HOD/Views/Agent/AgentDisplay.cshtml
@model HOD.Models.AgentDisplayModel
@using Microsoft.Ajax.Utilities
@{
    ViewBag.Title = "Pages";
    Layout = "~/Views/Shared/_AgentHomePage.cshtml";
    string agentEmail = ViewBag.AgentEmail;
}


<style>
    .btn {
      background: #3498db;
      background-image: -webkit-linear-gradient(top, #3498db, #2980b9);
      background-image: -moz-linear-gradient(top, #3498db, #2980b9);
      background-image: -ms-linear-gradient(top, #3498db, #2980b9);
      background-image: -o-linear-gradient(top, #3498db, #2980b9);
      background-image: linear-gradient(to bottom, #3498db, #2980b9);
      -webkit-border-radius: 28;
      -moz-border-radius: 28;
      border-radius: 28px;
      font-family: Arial;
      color: #ffffff;
      font-size: 20px;
      padding: 10px 20px 10px 20px;
      text-decoration: none;
    }

    .btn:hover {
      background: #3cb0fd;
      background-image: -webkit-linear-gradient(top, #3cb0fd, #3498db);
      background-image: -moz-linear-gradient(top, #3cb0fd, #3498db);
      background-image: -ms-linear-gradient(top, #3cb0fd, #3498db);
      background-image: -o-linear-gradient(top, #3cb0fd, #3498db);
      background-image: linear-gradient(to bottom, #3cb0fd, #3498db);
      text-decoration: none;
    }

    #AGENTimage {
        background-position: center;
        background-repeat: no-repeat;
        height: 450px;
        width: 400px;
        margin-left: auto;
        margin-right: auto;
        box-shadow: none;   
    }

</style>


		<div class="container">
			<div class="header">
            <div id="logo"><img src="@Model.AgentLogo"/></div>
            <div id="AGENT">
            	<div id="AGENTimage">
                </div>
            </div>
				<div class="clr"></div>
			</div><!-- header -->
			
			 <div id='cssmenu'>
<ul>
   <li class='active'><a href='#grid-gallery'><span>Recent Listings</span></a></li>
   <li><a href='#about'><span>About</span></a></li>
   <li><a href='#testimonials'><span>@Model.OtherPage1Label</span></a></li>
   <li><a href='#otherPage2'><span>@Model.OtherPage2Label</span></a></li>
   <li class='last'><a href='#contactBG'><span>Contact</span></a></li>
</ul>
</div>  

<h1>@Model.BusinessName<span>@Model.BusinessAddress, @Model.BusinessCity, @Model.PostalCode</span></h1>
                <h2>@Model.Phone1 &nbsp;|&nbsp;@agentEmail </h2>
			
            <h1>
            @*Model.OtherPage1Label*@
            </h1>
            <div id="testimonials">
            <span class="testimonials_text">            
                <!--"Awesome" - James-->
                Welcome
            </span>
            </div>
            <div id="testimonials">
            <span class="testimonials_text">
                @Html.Raw(Model.HomePageContent)
            <!--"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean a dapibus neque. Etiam sit amet posuere ipsum. Pellentesque eleifend ac ex non lobortis. Nulla eu ultricies purus. Vivamus at ligula blandit lorem feugiat scelerisque. Mauris sed nisl nec quam euismod commodo id et risus. 	" - James-->
            </span>
            </div>
			<div id="grid-gallery" class="grid-gallery">
				<section class="grid-wrap">
					<ul class="grid">
						<li class="grid-sizer"></li><!-- for Masonry column width -->

                        @foreach (var listingImage in Model.listingImages){
                          if (!listingImage.ListingImageUrl.Contains("nohouse")){                            
  						    <li>
                                  
							    <figure>@{
                                        if (listingImage.Category.ToUpper() == "JUS"){
                                            @: SOLD
                                        } else {
                                            @: @listingImage.Category   
                                        }
                                     }
								    <img src="@listingImage.ListingImageUrl" alt="Home Image"/>
								    <figcaption>
                                            <p style="text-align:left">
                                                @{
                                                    if (listingImage.Neighbourhood != null){
                                                        @: @listingImage.Neighbourhood,    
                                                    }
                                                }
                                                @listingImage.City, @listingImage.Province
                                                <br />
                                                Bed: @listingImage.NoOfBedrooms.ToString("N0")<br />
                                                Bath: @listingImage.NoOfBathrooms.ToString("N0")<br />
                                                Sq. Ft: @listingImage.SquareFootage.ToString("N0")<br />
                                                Price: @listingImage.ListPrice.ToString("C0")<br />
                                                Code: VUE @listingImage.ListingId
                                                @*URL: @listingImage.CientUrl*@
                                                @*listingImage.MainSellingDesc*@
                                            </p> 
								    </figcaption>
							    </figure>
						    </li>                          
                            }
                        }
					</ul>


				</section><!-- // grid-wrap -->
				<section class="slideshow">
					<ul>

                        @foreach (var listingImage in Model.listingImages){
                          if (!listingImage.ListingImageUrl.Contains("nohouse")){
						    <li>
							    <figure>
								    <figcaption>
									    <h3>Property Overview</h3>
									    <p>
                                          @{
                                            if (listingImage.MainSellingDesc != null){   
                                                if (listingImage.MainSellingDesc.Length > 100){                                                                
                                                    @: @listingImage.MainSellingDesc.Substring(0, 100);
                                                } else {
                                                    @: @listingImage.MainSellingDesc
                                                }
                                            }
                                            }

									    </p>
								    </figcaption>
                                    <a href="@Url.Action("PublicView", "Listing", new { @id = "VUE" + listingImage.ListingId , })"  target="_new">
								        <img src="@listingImage.PublicLawnSignImageUrl" alt="Home Image" style="width:424px; height:405px;"/>
                                    </a>
							    </figure>
						    </li>
                          }
                        }
					</ul>
					<nav>
						<span class="icon nav-prev"></span>
						<span class="icon nav-next"></span>
						<span class="icon nav-close"></span>
					</nav>
					<div class="info-keys icon">Navigate with arrow keys</div>
				</section><!-- // slideshow -->
			</div><!-- // grid-gallery -->
            <h1>
            @Model.OtherPage1Label
            </h1>
            <div id="testimonials">
            <span class="testimonials_text">            
                <!--"Awesome" - James-->
            </span>
            </div>
            <div id="testimonials">
            <span class="testimonials_text">
                @Html.Raw(Model.OtherPage1Content)
                @Html.ActionLink("Sign Up Now", "SignUp",null, new {@class = "btn"})
            <!--"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean a dapibus neque. Etiam sit amet posuere ipsum. Pellentesque eleifend ac ex non lobortis. Nulla eu ultricies purus. Vivamus at ligula blandit lorem feugiat scelerisque. Mauris sed nisl nec quam euismod commodo id et risus. 	" - James-->
            </span>
            </div>

            <h1>
            @Model.OtherPage2Label
            </h1>
            <div id="otherPage2">
            <span class="otherPage2_text">            
                Awesome - James
            </span>
            </div>
            <div id="otherPage2">
            <span class="otherPage2_text">
                @Html.Raw(Model.OtherPage2Content)
           </span>
            </div>
            </div>
            
           
           <div id="contactBG">
           <h1>Contact Me</h1>
			<div class="main">
				<form class="cbp-mc-form">
					<div class="cbp-mc-column">
						<label for="first_name">First Name</label>
	  					<input type="text" id="first_name" name="first_name" placeholder="Jonathan">
	  					<label for="last_name">Last Name</label>
	  					<input type="text" id="last_name" name="last_name" placeholder="Doe">
	  					<label for="email">Email Address</label>
	  					<input type="text" id="email" name="email" placeholder="jon@doe.com">
                        <label for="phone">Phone Number</label>
	  					<input type="text" id="phone" name="phone" placeholder="+416 888 8888">
	  					<label for="contact_preference">Contact Preference</label>
	  					<select id="contact_preference" name="contact_preference">
	  						<option>Phone</option>
	  						<option>Email</option>
	  					</select>
	  				</div>
	  				<div class="cbp-mc-column">
	  					
                        <label for="bio">About You</label>
	  					<textarea id="bio" name="bio" placeholder="Please tell us a little about yourself."></textarea>
	  					<label for="occupation">Occupation</label>
	  					<input type="text" id="occupation" name="occupation" placeholder="Optional">
	  					<label for="income">Yearly Income</label>
	  					<input type="text" id="income" name="income" placeholder="Optional">
	  				</div>
	  				<div class="cbp-mc-column">
	  					<label>What type of house are you looking for?</label>
	  					<select id="housetype" name="housetype">
	  						<option>Optional</option>
	  						<option>1 Bedroom</option>
	  						<option>2 Bedroom</option>
	  						<option>3 Bedroom</option>
	  					</select>
                        <label for="affiliations">How'd you find this listing?</label>
	  					<textarea id="affiliations" name="affiliations" placeholder="Optional"></textarea>
	  					<label for="comments">Comments</label>
	  					<textarea id="comments" name="comments"></textarea>	
	  				</div>
	  				<div class="cbp-mc-submit-wrap"><input class="cbp-mc-submit" type="submit" value="Submit Contact Form" /></div>
				</form>
			</div>
		</div>  
		<div id="stripe"></div>
		
		<div id="about">
		<div class="round">
            	<img src="@ViewBag.AgentImage" />
        		</div>
                <h1>@Model.BusinessName<span>@Model.BusinessAddress, @Model.BusinessCity, @Model.Province</span></h1>
                <h2>@Model.Phone1 &nbsp;|&nbsp; @agentEmail</h2>
                <div id="aboutsection">@Html.Raw(Model.AboutMe)<p>
                </div>	
                
            </div>
	</div>
	<div id="stripe"></div>
            <div id="footer">
            powered by Apex Producer Real Estate Solutions
            </div>
		          
		</div>
		<script src="~/Scripts/agentres/imagesloaded.pkgd.min.js"></script> <!--js/imagesloaded.pkgd.min.js-->
		<script src="~/Scripts/agentres/masonry.pkgd.min.js"></script><!--js/masonry.pkgd.min.js-->
		<script src="~/Scripts/agentres/classie.js"></script>                    <!--js/classie.js-->
		<script src="~/Scripts/agentres/cbpGridGallery.js"></script>             <!--cbpGridGallery.js-->
		<script>
		    new CBPGridGallery(document.getElementById('grid-gallery'));
		</script>

@{
    string agentPhoto = Model.AgentProfilePic;

    bool isFreeTier = false;
    string agentLogo;
    string background;
    
    HOD.Data.Entities.UserProfile agentUserData;
    
    using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext()){

        agentUserData = dbContext.UserProfiles.Where(agent => agent.UserId == Model.AgentId).FirstOrDefault();       
        
       if (agentUserData.Tier.ToUpper() == "FREE"){
            isFreeTier = true;  
            agentLogo = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
            agentPhoto = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/blank-logo-icon.png";   
            background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";   
                     
        } else {            
            agentLogo = Model.AgentLogo;
            agentPhoto = Model.AgentProfilePic;
            background = Model.AgentTopBackground;   
        }                                   
    }
    
    
}
<script>
    //tinymce.init({ selector: 'textarea', menubar: false, statusbar: false });
        @{ if (isFreeTier){
                @: $('#AGENTimage').remove(); 
                @: $('.header').css('background-image', 'url("@background")');
                @: $('#AGENT').css('background-color', "transparent");

            } else {
                @: $('#AGENTimage').css('background-image', 'url("@agentPhoto")');
                }               
               
        }    

    $(document).ready(function () {
        var $body = $('body');
        // $('body').css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ') !important;');
        //$body.css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ')')//.height(525).width(1660);     
        $('#agentLogo').attr('src', "@agentLogo");
        $('#otherPage1').text('@Model.OtherPage1Label');
        $('#otherPage2').text('@Model.OtherPage2Label');
        $('#mainMenu a').each(function () {
            this.href += '?AgentId=@Model.AgentId';
        });


    });
</script>

HOD/Views/Agent/OtherPage1.cshtml
@model HOD.Models.AgentDisplayModel
@using Microsoft.Ajax.Utilities
@{
    ViewBag.Title = "Pages";
    Layout = "~/Views/Shared/_AgentPagesLayout.cshtml";
}
<style>
    table td, table td * {
        vertical-align: top;
    }
</style>


<link href="@Url.Content("~/Content/assets/css/croppic.css")" rel="stylesheet">
<script type="text/javascript" src="@Url.Content("~/Scripts/croppic.js")"></script>

<style>

    a.newListing {
        color: #333333;
    }

        a.newListing:active {
            color: #666666;
        }

        a.newListing:link {
            color: #999999;
        }

        a.newListing:visited {
            color: #ffffff;
        }

    textarea {
        background-color: lightyellow;
        width: 100%;
    }
</style>

<div class="details_holder">
        <div class="panel panel-primary" style="border: none">
            <div class="panel-heading" align="left">@Model.BusinessName</div>
            <div class="panel-body" style="background-color: #ffffff;">

                <script>
                    tinymce.init({ selector: 'textarea', menubar: false, statusbar: false });

                    $(document).ready(function () {
                        var $body = $('body');
                       // $('body').css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ') !important;');
                        $body.css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ')');//.height(525).width(1660);
                        $('#agentLogo').attr('src', '@Model.AgentLogo').height(72).width(783);
                        $('#otherPage1').text('@Model.OtherPage1Label');
                        $('#otherPage2').text('@Model.OtherPage2Label');

                        $('#mainMenu a').each(function () {
                            this.href += '?AgentId=@Model.AgentId';
                         });
                    });


                </script>
                 <!--input type="text" value="Model.AgentBottomBackground" />
                 <input type="text" value="Model.AgentLogo" />
                 <input type="text" id="backgroundLoc" value="Model.AgentTopBackground" /-->   
                <div>
                    <table border="0">
                        <tr>
                            <td>
                                @Html.Raw(Model.OtherPage1Content)
                            </td>
                            <td>
                                <p style="width:100%; overflow:auto;">
                                    <img src="@Model.AgentProfilePic" alt="Photo placeholder" style="float:right; border:solid; width:268px; height:268px;border:groove;"/>
                                </p>
                            </td>
                    </table>
                </div>  
                <div><a href="/Agent/SignUp" class="btn-lg btn-default" align="right" style="border-top:1px solid #cacaca;" >Sign Up Now</a></div>
                <br />                                   
                <clear />
        </div>
       </div>
    </div>
</div>
</div>